## ros-jazzy-rmf-task-ros2 2.7.2

=== debian/changelog ===
ros-jazzy-rmf-task-ros2 (2.7.2-2bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Mon, 17 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.7.1-2bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Mon, 10 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.7.0-2bookworm) bookworm; urgency=high

  * Fix race condition for ingesting/dispensing and disable uncrustify tests by default (#362 <https://github.com/open-rmf/rmf_ros2/pull/362>)
  * Dispatcher only use websockets when dispatch fails (#355 <https://github.com/open-rmf/rmf_ros2/pull/355>)
  * Contributors: Aaron Chong, Grey, Luca Della Vedova, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Fri, 31 May 2024 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.6.0-2bookworm) bookworm; urgency=high

  * Add Backward-ROS for improved logging in event of segfaults (#327 <https://github.com/open-rmf/rmf_ros2/pull/327>)
  * Explicitly specify all qos depth (#323 <https://github.com/open-rmf/rmf_ros2/pull/323>)
  * Adds an option to generate unique hex strings for new task ids, fix time stamp logic (#319 <https://github.com/open-rmf/rmf_ros2/pull/319>)
  * Contributors: Aaron Chong, Arjo Chakravarty, Teo Koon Peng

 -- Yadunund <yadunund@openrobotics.org>  Tue, 12 Mar 2024 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.5.0-2bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Thu, 21 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.4.0-2bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Thu, 14 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.3.2-2bookworm) bookworm; urgency=high

  * Improve linking time (#297 <https://github.com/open-rmf/rmf_ros2/pull/297>)
  * Contributors: Grey, Luca Della Vedova

 -- Yadunund <yadunund@openrobotics.org>  Sun, 27 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.3.1-2bookworm) bookworm; urgency=high

  * Adding initiator and request time to booking (#267 <https://github.com/open-rmf/rmf_ros2/pull/267>)
  * Contributors: Aaron Chong

 -- Yadunund <yadunund@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.3.0-2bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.2.0-2bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.1.5-2bookworm) bookworm; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.1.4-2bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.1.3-2bookworm) bookworm; urgency=high

  * Link Threads to fix build errors on certain platforms: (#204 <https://github.com/open-rmf/rmf_ros2/pull/204>)
  * Contributors: decada-robotics, Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.1.2-2bookworm) bookworm; urgency=high

  * Add find_package for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Contributors: Steven! Ragnarök

 -- Yadunund <yadunund@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.1.0-2bookworm) bookworm; urgency=high

  * Change default task auction evaluator to QuickestFinishEvaluator: (#211 <https://github.com/open-rmf/rmf_ros2/pull/211>)
  * ws broadcast client in dispatcher node (#212 <https://github.com/open-rmf/rmf_ros2/pull/212>)
  * create unique task_id with timestamp (#223 <https://github.com/open-rmf/rmf_ros2/pull/223>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (2.0.0-2bookworm) bookworm; urgency=high

  No changes yet

 -- Yadunund <yadunund@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (1.5.0-2bookworm) bookworm; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-jazzy-rmf-task-ros2 (1.3.0-2bookworm) bookworm; urgency=high

  * Introduce dispatcher node to facilitate dispatching of tasks: (#217 <https://github.com/osrf/rmf_core/pull/217>)

 -- Yadunund <yadunund@openrobotics.org>  Tue, 12 Jan 2021 16:00:00 -0000
