=== debian/control ===
Source: ros-jazzy-rmf-task-ros2
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, nlohmann-json3-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-catch2 <!nocheck>, ros-jazzy-ament-cmake-uncrustify <!nocheck>, ros-jazzy-backward-ros, ros-jazzy-nlohmann-json-schema-validator-vendor, ros-jazzy-rclcpp, ros-jazzy-rmf-api-msgs, ros-jazzy-rmf-task-msgs, ros-jazzy-rmf-traffic, ros-jazzy-rmf-traffic-ros2, ros-jazzy-rmf-utils, ros-jazzy-rmf-websocket, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmf-task-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-jazzy-backward-ros, ros-jazzy-nlohmann-json-schema-validator-vendor, ros-jazzy-rclcpp, ros-jazzy-rmf-api-msgs, ros-jazzy-rmf-task-msgs, ros-jazzy-rmf-traffic, ros-jazzy-rmf-traffic-ros2, ros-jazzy-rmf-utils, ros-jazzy-rmf-websocket, ros-jazzy-ros-workspace
Description: A package managing the dispatching of tasks in RMF system.
